package com.sunxung.factoring.entity.purchcontractmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

/**
 * <p>
 * 采购合同-补充信息表
 * </p>
 *
 * @author liutao
 * @since 2022-07-13
 */
@TableName("purch_contract_replenish_info_history")
public class PurchContractReplenishInfoHistory extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 工程量类别（概算量、固定量）
     */
    @TableField("project_amount_category")
    private Long projectAmountCategory;

    /**
     * 货物单价结算方式
     */
    @TableField("goods_price_settle_method")
    private String goodsPriceSettleMethod;

    /**
     * 采购合同基本信息表Id
     */
    @TableField("purch_contract_basic_info_id")
    private Long purchContractBasicInfoId;

    /**
     * 采购合同基本信息历史表Id
     */
    @TableField("purch_contract_basic_info_history_id")
    private Long purchContractBasicInfoHistoryId;

    /**
     * 采购合同审核表Id
     */
    @TableField("purch_contract_approval_id")
    private Long purchContractApprovalId;

    public Long getProjectAmountCategory() {
        return projectAmountCategory;
    }

    public void setProjectAmountCategory(Long projectAmountCategory) {
        this.projectAmountCategory = projectAmountCategory;
    }
    public String getGoodsPriceSettleMethod() {
        return goodsPriceSettleMethod;
    }

    public void setGoodsPriceSettleMethod(String goodsPriceSettleMethod) {
        this.goodsPriceSettleMethod = goodsPriceSettleMethod;
    }
    public Long getPurchContractBasicInfoId() {
        return purchContractBasicInfoId;
    }

    public void setPurchContractBasicInfoId(Long purchContractBasicInfoId) {
        this.purchContractBasicInfoId = purchContractBasicInfoId;
    }
    public Long getPurchContractBasicInfoHistoryId() {
        return purchContractBasicInfoHistoryId;
    }

    public void setPurchContractBasicInfoHistoryId(Long purchContractBasicInfoHistoryId) {
        this.purchContractBasicInfoHistoryId = purchContractBasicInfoHistoryId;
    }
    public Long getPurchContractApprovalId() {
        return purchContractApprovalId;
    }

    public void setPurchContractApprovalId(Long purchContractApprovalId) {
        this.purchContractApprovalId = purchContractApprovalId;
    }

    @Override
    public String toString() {
        return "PurchContractReplenishInfoHistory{" +
            "projectAmountCategory=" + projectAmountCategory +
            ", goodsPriceSettleMethod=" + goodsPriceSettleMethod +
            ", purchContractBasicInfoId=" + purchContractBasicInfoId +
            ", purchContractBasicInfoHistoryId=" + purchContractBasicInfoHistoryId +
            ", purchContractApprovalId=" + purchContractApprovalId +
        "}";
    }
}
